//+------------------------------------------------------------------+
//|                               Symbol Changer (Window) 15.1.0.mq4 |
//|                      Nguyen Xuan Nhat Huy & Nguyen Le Nguyen Huy |
//|                                                   08 - 02 - 2021 |
//+------------------------------------------------------------------+

//+--- Initation Set ---+

#property copyright "Nguyen Xuan Nhat Huy & Nguyen Le Nguyen Huy"
#property link "nguyenhuyhit@gmail.com"

#property description "Symbol Changer (Window) 15.1.0"

#property indicator_separate_window
#property indicator_buffers 0

//+--- Enum Set ---+

enum ENUM_SORT_BY { ROW , COLUMN } ;

enum ENUM_SORT_FROM { LEFT_TO_RIGHT , RIGHT_TO_LEFT } ;

//+--- Input Indicator's Name ---+

extern string Indicator_Short_Name = "Symbol Changer (Window) 15.1.0" ;

//+--- Input Parameter ---+

extern int Font_Size = 9 ;
extern string Font = "Arial Bold" ;

//+--- Input Parameter ---+

extern ENUM_SORT_BY Sort_By = ROW ;

extern int Max_Row = 2 ;
extern int Max_Column = 0 ;

//+--- Input Parameter ---+

extern ENUM_BASE_CORNER Symbol_Button_Corner = CORNER_LEFT_UPPER ;
extern ENUM_SORT_FROM Sort_From = LEFT_TO_RIGHT ;

extern int Symbol_Button_Horizontal_Axis = 5 ;
extern int Symbol_Button_Horizontal_Space = 5 ;

extern int Symbol_Button_Vertical_Axis = 5 ;
extern int Symbol_Button_Vertical_Space = 5 ;

//+--- Input Parameter ---+

extern int Width_Symbol_Button = 75 ;
extern int Height_Symbol_Button = 20 ;

//+--- Input Parameter ---+

extern color Selected_Text_Symbol_Button_Color = clrWhite ;

extern color Selected_Background_Symbol_Button_Color = clrDodgerBlue ;
extern color Selected_Border_Symbol_Button_Color = clrMediumBlue ;

extern color Unselected_Text_Symbol_Button_Color = clrBlack ;

extern color Unselected_Background_Symbol_Button_Color = clrGainsboro ;
extern color Unselected_Border_Symbol_Button_Color = clrDarkGray ;

//+--- Input Parameter ---+

extern color Profit_Text_Symbol_Button_Color = clrWhite ;

extern color Profit_Background_Symbol_Button_Color = clrForestGreen ;
extern color Profit_Border_Symbol_Button_Color = clrForestGreen ;

extern color Loss_Text_Symbol_Button_Color = clrWhite ;

extern color Loss_Background_Symbol_Button_Color = clrOrangeRed ;
extern color Loss_Border_Symbol_Button_Color = clrOrangeRed ;

extern color Break_Even_Text_Symbol_Button_Color = clrWhite ;

extern color Break_Even_Background_Symbol_Button_Color = clrGray ;
extern color Break_Even_Border_Symbol_Button_Color = clrDarkGray ;

extern color Pending_Border_Symbol_Button_Color = clrBlack ;

//+--- Input Parameter ---+

extern bool Show_Symbol_Button = True ;

extern ENUM_BASE_CORNER Show_Symbol_Button_Corner = CORNER_RIGHT_LOWER ;

extern int Show_Symbol_Button_Horizontal_Axis = 5 ;
extern int Show_Symbol_Button_Vertical_Axis = 20 ;

extern int Width_Show_Button = 90 ;
extern int Height_Show_Button = 20 ;

extern color Text_Show_Button_Color = clrWhite ;

extern color Background_Show_Button_Color = clrDodgerBlue ;
extern color Border_Show_Button_Color = clrDarkBlue ;

//+--- Input Parameter ---+

extern bool Show_Current_Symbol_Enable = True ;

extern ENUM_BASE_CORNER Show_Current_Symbol_Corner = CORNER_RIGHT_LOWER ;

extern int Show_Current_Symbol_Panel_Horizontal_Axis = 162 ;
extern int Show_Current_Symbol_Panel_Vertical_Axis = 86 ;

extern int Width_Current_Symbol_Panel = 160 ;
extern int Height_Current_Symbol_Panel = 42 ;

extern color Symbol_Panel_Panel_Color = clrLavender ;

extern int Show_Text_Current_Symbol_Horizontal_Axis = 82 ;
extern int Show_Text_Current_Symbol_Vertical_Axis = 84 ;

extern int Text_Current_Symbol_Font_Size = 25 ;
extern color Text_Current_Symbol_Color = clrRed ;

//+--- Input Parameter ---+

extern string Suffix = ".pro" ;

//+--- Input Parameter ---+

extern string Text_Font_Bold = "Arial Bold" ;

extern color Text_Color = clrDimGray ;

//+--- Input Parameter ---+

extern color Line_Color = clrDimGray ;

extern bool Object_Selectable = False ;
extern bool Object_Background = True ;

//+--- Declare Variables ---+

int Window_Number ;

//+--- Declare Variables ---+

bool Check_Change_Symbol ;

//+--- Declare Variables ---+

int Count ;
int Count_1 ;
int Count_2 ;

//+--- Declare Variables ---+

string Object_Name ;

//+--- Declare Variables ---+

int X_Axis_Position ;
int Y_Axis_Position ;

string String_Substring_1 ;
string String_Substring_2 ;

//+--- Declare Variables ---+

string Looking_For ;
int Looking_For_Length ;

//+--- Declare Variables ---+

int Symbol_Position ;

string Symbol_Name ;

int Prefix_Symbol_Button_Length ;

string Looking_For_Object_Name ;
int Looking_For_Object_Name_Length ;

string Looking_For_Symbol_Name ;
int Looking_For_Symbol_Position ;

int Symbol_Position_Length ;

//+--- Declare Variables ---+

int Symbol_Buttons_Total ;

//+--- Declare Variables ---+

int Count_Open_Orders ;
int Count_Pending_Orders ;

double Profit_Open_Orders ;

//+--- Declare Variables ---+

int Object_X_Distance ;
int Object_Y_Distance ;

int Object_Corner  ;

//+--- OnInit Function ---+

void OnInit()
	{
		//+--- Set Indicator's Parameter ---+

		IndicatorShortName ( Indicator_Short_Name ) ;

		//+--- Check Window ---+

		Window_Number = WindowFind ( Indicator_Short_Name ) ;

		if ( Window_Number == - 1 )
			{
				Window_Number = 0 ;
			}

		//+--- Delete All Symbol Buttons ---+

		Delete_All_Symbol_Buttons () ;

		//+--- Create Symbol Button ---+

		Create_Symbol_Buttons () ;
	}

//+--- OnDeinit Function ---+

void OnDeinit ( const int Reason )
	{
		switch ( Reason )
			{
				//+--- Chart Change ---+

				case REASON_CHARTCHANGE :
					{
						OnInit () ;
					}

				//+--- Indicator Recompile ---+

				case REASON_RECOMPILE :
					{
						OnInit () ;
					}

				//+--- Default ---+

				default :
					{
						//+--- Delete All Symbol Buttons ---+

						Delete_All_Symbol_Buttons () ;

						Delete_All_Symbol_Buttons_Panel () ;

						//+--- Delete Show Symbol Button ---+

						ObjectDelete ( "Show Symbol Button" ) ;
					}
			}

		//+--- Delete Object ---+

		ObjectDelete ( "Selected Symbol Button Panel" ) ;

		//+--- Delete Object ---+

		ObjectDelete ( "Current Symbol" ) ;

		ObjectDelete ( "Symbol Changer - Current Symbol Panel" ) ;

		//+--- Delete Object ---+

		ObjectDelete ( "S_Line_1" ) ;
		ObjectDelete ( "S_Line_2" ) ;
		ObjectDelete ( "S_Line_3" ) ;
		ObjectDelete ( "S_Line_4" ) ;

		//+--- Delete Object ---+

		ObjectDelete ( "C_Line_1" ) ;
		ObjectDelete ( "C_Line_2" ) ;
	}

//+--- OnCalculate Function ---+

int OnCalculate ( const int rates_total , const int prev_calculated , const datetime& time [] , const double& open [] , const double& high [] , const double& low [] , const double& close [] , const long& tick_volume [] , const long& volume [] , const int& spread [] )
	{
		//+--- Call Check_Symbol_Buttons Function ---+

		Check_Symbol_Buttons () ;

		//+--- Call Set_Symbol_Buttons_Color Function ---+

		Set_Symbol_Buttons_Color ()	;

		//+--- Call Show_Symbol_Button Function ---+

		Show_Symbol_Button ( Show_Symbol_Button ) ;

		//+--- Call Show_Current_Symbol Function ---+

		Show_Current_Symbol ( Show_Current_Symbol_Enable ) ;

		//+--- Return ---+

		return ( 0 ) ;
	}

//+--- OnChartEvent Function ---+

void OnChartEvent ( const int id , const long& lparam , const double& dparam , const string& sparam )
	{
		//+--- Check Clicked Object ---+

		if ( id == CHARTEVENT_OBJECT_CLICK && ObjectGet ( sparam , OBJPROP_TYPE ) == OBJ_BUTTON )
			{
				//+--- Check Clicked Button - Symbol Button ---+

				if ( StringFind ( sparam , "Symbol Button: " , 0 ) == 0 )
					{
						//+--- Save Symbol Template ---+

						Chart_Save_Template ( Symbol () ) ;

						String_Substring_1 = StringSubstr ( ObjectGetString ( ChartID () , sparam , OBJPROP_NAME ) , 0 , StringLen ( ObjectGetString ( ChartID () , sparam , OBJPROP_NAME ) ) - ( StringLen ( ObjectGetString ( ChartID () , sparam , OBJPROP_NAME ) ) - StringFind ( ObjectGetString ( ChartID () , sparam , OBJPROP_NAME ) , " - " , 0 ) ) ) ;
						String_Substring_2 = StringSubstr ( String_Substring_1 , StringLen ( "Symbol Button: " ) , StringLen ( String_Substring_1 ) - ( StringLen ( String_Substring_1 ) - StringLen ( "Symbol Button: " ) ) ) ;

						//+--- Change Chart ---+

						Check_Change_Symbol = ChartSetSymbolPeriod ( ChartID () , String_Substring_2 , Period () ) ;

						//+--- Apply Symbol Template ---+

						if ( Check_Change_Symbol == True )
							{
								Chart_Apply_Template ( Symbol () ) ;
							}
					}

				//+--- Check Clicked Button - Show Symbol Button ---+

				if ( ObjectGetString ( ChartID () , sparam , OBJPROP_NAME ) == "Show Symbol Button" )
					{
						//+--- Case 1 ---+

						if ( Count_Symbol_Buttons () > 0 && ObjectGetString ( ChartID () , "Show Symbol Button" , OBJPROP_TEXT ) == "Hide" && ObjectGetInteger ( ChartID () , "Show Symbol Button" , OBJPROP_STATE ) == True )
							{
								//+--- Change Show Symbol Button Text ---+

								ObjectSetString ( ChartID () , "Show Symbol Button" , OBJPROP_TEXT , "Show" ) ;

								ObjectSetInteger ( ChartID () , "Show Symbol Button" , OBJPROP_STATE , False ) ;

								//+--- Delete All Symbol Buttons ---+

								Delete_All_Symbol_Buttons () ;
							}

						//+--- Case 2 ---+

						if ( Count_Symbol_Buttons () == 0 && ObjectGetString ( ChartID () , "Show Symbol Button" , OBJPROP_TEXT ) == "Show" && ObjectGetInteger ( ChartID () , "Show Symbol Button" , OBJPROP_STATE ) == True )
							{
								//+--- Change Show Symbol Button Text ---+

								ObjectSetString ( ChartID () , "Show Symbol Button" , OBJPROP_TEXT , "Hide" ) ;

								ObjectSetInteger ( ChartID () , "Show Symbol Button" , OBJPROP_STATE , False ) ;

								//+--- Call OnInit Function ---+

								OnInit () ;
							}
					}
			}
	}

//+--- Create_Symbol_Buttons Function ---+

void Create_Symbol_Buttons ()
	{
		//+--- Declare Variables ---+

		X_Axis_Position = 0 ;
		Y_Axis_Position = 0 ;

		//+--- Check Sort_By Options ---+

		switch ( Sort_By )
			{
				//+--- Sort By Row ---+

				case ROW :
					{
						//+--- Declare Variables ---+

						Max_Column = 0 ;

						//+--- Check Max_Row ---+

						if ( Max_Row == 0 )
							{
								Max_Row = 1 ;
							}

						//+--- Check Symbol_Button_Corner Options ---+

						switch ( Symbol_Button_Corner )
							{
								//+--- Case 1 ---+

								case CORNER_LEFT_UPPER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Column ---+

																Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_LEFT_UPPER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+--- Calculate Max_Column ---+

														Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

														//+--- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_LEFT_UPPER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}
											}
									}

								//+--- Case 2 ---+

								case CORNER_LEFT_LOWER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Column ---+

																Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_LEFT_LOWER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+--- Calculate Max_Column ---+

														Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

														//+--- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_LEFT_LOWER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}
											}
									}

								//+--- Case 3 ---+

								case CORNER_RIGHT_UPPER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Column ---+

																Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_RIGHT_UPPER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+--- Calculate Max_Column ---+

														Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

														//+--- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_RIGHT_UPPER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}
											}
									}

								//+--- Case 4 ---+

								case CORNER_RIGHT_LOWER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Column ---+

																Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = 0 ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_RIGHT_LOWER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+--- Calculate Max_Column ---+

														Max_Column = MathFloor ( SymbolsTotal ( True ) / Max_Row ) + 1 ;

														//+--- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_1 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == Max_Column * Count_1 )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Row - MathMod ( SymbolsTotal ( True ) , Max_Row ) ; Count_2 ++ )
																	{
																		//+--- Calculate Y_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Row ) * ( MathMod ( SymbolsTotal ( True ) , Max_Row ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Row ) )
																			{
																				X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ;
																				Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_RIGHT_LOWER ) ;

																//+--- Calculate X_Axis_Position ---+

																X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
															}
													}
											}
									}
							}
					}

				//+--- Sort By Column ---+

				case COLUMN :
					{
						//+--- Declare Variables ---+

						Max_Row = 0 ;

						//+--- Check Max_Row ---+

						if ( Max_Column == 0 )
							{
								Max_Column = 1 ;
							}

						//+--- Check Symbol_Button_Corner Options ---+

						switch ( Symbol_Button_Corner )
							{
								//+--- Case 1 ---+

								case CORNER_LEFT_UPPER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = 0 ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , Symbol_Button_Corner ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ) ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , Symbol_Button_Corner ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}
											}
									}

								//+--- Case 2 ---+

								case CORNER_LEFT_LOWER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = 0 ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_LEFT_LOWER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ) ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_LEFT_LOWER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}
											}
									}

								//+--- Case 3 ---+

								case CORNER_RIGHT_UPPER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ) ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_RIGHT_UPPER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = 0 ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Y_Axis_Position , CORNER_RIGHT_UPPER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}
											}
									}

								//+--- Case 4 ---+

								case CORNER_RIGHT_LOWER :
									{
										//+--- Check Sort_From Options ---+

										switch ( Sort_From )
											{
												//+--- Sort From Left To Right ---+

												case LEFT_TO_RIGHT :
													{
														//+--

														X_Axis_Position = ( Max_Column - 1 ) * Width_Symbol_Button + ( ( Max_Column - 1 ) * Symbol_Button_Vertical_Space ) ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position -= Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_RIGHT_LOWER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}

												//+--- Sort From Right To Left ---+

												case RIGHT_TO_LEFT :
													{
														//+-- Calculate X_Axis_Position ---+

														X_Axis_Position = 0 ;

														//+--- Create Symbol Buttons ---+

														for ( Count = 0 ; Count < SymbolsTotal ( True ) ; Count ++ )
															{
																//+--- Calculate Symbol Name ---+

																Symbol_Name = StringSubstr ( SymbolName ( Count , True ) , 0 , StringLen ( SymbolName ( Count , True ) ) - ( StringLen ( SymbolName ( Count , True ) ) - StringFind ( SymbolName ( Count , True ) , "." , 0 ) ) ) ;

																//+--- Calculate Max_Row ---+

																Max_Row = MathFloor ( SymbolsTotal ( True ) / Max_Column ) + 1 ;

																//+--- Case 1 ---+

																for ( Count_1 = 1 ; Count_1 <= MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_1 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == Max_Row * Count_1 )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Case 2 ---+

																for ( Count_2 = 1 ; Count_2 < Max_Column - MathMod ( SymbolsTotal ( True ) , Max_Column ) ; Count_2 ++ )
																	{
																		//+--- Calculate X_Axis_Position ---+

																		if ( Count == ( MathFloor ( SymbolsTotal ( True ) / Max_Column ) * ( MathMod ( SymbolsTotal ( True ) , Max_Column ) + Count_2 ) ) + MathMod ( SymbolsTotal ( True ) , Max_Column ) )
																			{
																				//+--- Calculate X_Axis_Position ---+

																				X_Axis_Position += Width_Symbol_Button + Symbol_Button_Vertical_Space ;
																				Y_Axis_Position = 0 ;

																				//+--- Break ---+

																				break ;
																			}
																	}

																//+--- Create Symbol Button ---+

																Create_Button ( "Symbol Button: " + SymbolName ( Count , True ) + " - " + Count , Window_Number , Symbol_Name , Symbol_Button_Horizontal_Axis + Width_Symbol_Button + X_Axis_Position , Symbol_Button_Vertical_Axis + Height_Symbol_Button + Y_Axis_Position , CORNER_RIGHT_LOWER ) ;

																//+--- Calculate Y_Axis_Position ---+

																Y_Axis_Position += Height_Symbol_Button + Symbol_Button_Horizontal_Space ;
															}
													}
											}
									}
							}


					}
			}
	}

//+--- Check_Symbol_Buttons Function ---+

void Check_Symbol_Buttons ()
	{
		//+--- Check Symbol Buttons ---+

		for ( Symbol_Position = 0 ; Symbol_Position < SymbolsTotal ( True ) ; Symbol_Position ++ )
			{
				//+--- Calculate Variables ---+

				Prefix_Symbol_Button_Length = StringLen ( "Symbol Button: " ) ;

				Looking_For_Object_Name = "Symbol Button: " + SymbolName ( Symbol_Position , True ) + " - " ;
				Looking_For_Object_Name_Length = StringLen ( Looking_For_Object_Name ) ;

				//+--- Select Objects ---+

				for ( Count = ObjectsTotal () - 1 ; Count >= 0 ; Count -- )
					{
						//+--- Declare Variables ---+

						Object_Name = ObjectName ( Count ) ;

						//+--- Check Objects ---+

						if ( ObjectGet ( Object_Name , OBJPROP_TYPE ) == OBJ_BUTTON )
							{
								//+--- Check Objects ---+

								if ( StringSubstr ( Object_Name , 0 , Looking_For_Object_Name_Length ) == Looking_For_Object_Name )
									{
										//+--- Calculate Variables ---+

										Symbol_Position_Length = StringLen ( SymbolName ( Symbol_Position , True ) ) ;

										Looking_For_Symbol_Name = StringSubstr ( Object_Name , Prefix_Symbol_Button_Length , Symbol_Position_Length ) ;
										Looking_For_Symbol_Position = StrToInteger ( StringSubstr ( Object_Name , Looking_For_Object_Name_Length , StringLen ( Object_Name ) - Looking_For_Object_Name_Length ) ) ;

										//+--- Check Objects ---+

										if ( Looking_For_Symbol_Name == SymbolName ( Symbol_Position , True ) )
											{
												//+--- Continue ---+

												if ( Looking_For_Symbol_Position == Symbol_Position )
													{
														continue ;
													}

												//+--- OnInit () ---+

												if ( Looking_For_Symbol_Position != Symbol_Position )
													{
														OnInit () ;
													}
											}
									}
							}
					}
			}
	}

//+--- Set_Symbol_Buttons_Color Function ---+

void Set_Symbol_Buttons_Color ()
	{
		//+--- Check Symbol Buttons ---+

		for ( Symbol_Position = 0 ; Symbol_Position < SymbolsTotal ( True ) ; Symbol_Position ++ )
			{
				//+--- Declare Variables ---+

				Count_Open_Orders = 0 ;
				Count_Pending_Orders = 0 ;

				Profit_Open_Orders = 0 ;

				//+--- Calculate Variables ---+

				Prefix_Symbol_Button_Length = StringLen ( "Symbol Button: " ) ;

				Looking_For_Object_Name = "Symbol Button: " + SymbolName ( Symbol_Position , True ) + " - " ;
				Looking_For_Object_Name_Length = StringLen ( Looking_For_Object_Name ) ;

				//+--- Check Orders ---+

				for ( Count = OrdersTotal () - 1 ; Count >= 0 ; Count -- )
					{
						//+--- Select Order ---+

						if ( OrderSelect ( Count , SELECT_BY_POS , MODE_TRADES ) == True )
							{
								//+--- Check Opening Order ---+

								if ( OrderSymbol () == SymbolName ( Symbol_Position , True ) )
									{
										//+--- Check Order Type ---+

										if ( OrderType () == OP_BUY || OrderType () == OP_SELL )
											{
												Count_Open_Orders ++ ;

												Profit_Open_Orders = Profit_Open_Orders + OrderProfit () ;
											}

										//+--- Check Order Type ---+

										if ( OrderType () == OP_BUYLIMIT || OrderType () == OP_BUYSTOP || OrderType () == OP_SELLLIMIT || OrderType () == OP_SELLSTOP )
											{
												Count_Pending_Orders ++ ;
											}
									}
							}

						//+--- Select Order == False ---+

						if ( OrderSelect ( Count , SELECT_BY_POS , MODE_TRADES ) == False )
							{
								break ;
							}
					}

				//+--- Select Objects ---+

				for ( Count = ObjectsTotal () - 1 ; Count >= 0 ; Count -- )
					{
						//+--- Declare Variables ---+

						Object_Name = ObjectName ( Count ) ;

						//+--- Check Objects ---+

						if ( ObjectGet ( Object_Name , OBJPROP_TYPE ) == OBJ_BUTTON )
							{
								//+--- Check Objects ---+

								if ( StringSubstr ( Object_Name , 0 , Looking_For_Object_Name_Length ) == Looking_For_Object_Name )
									{
										//+--- Calculate Variables ---+

										Symbol_Position_Length = StringLen ( SymbolName ( Symbol_Position , True ) ) ;

										Looking_For_Symbol_Name = StringSubstr ( Object_Name , Prefix_Symbol_Button_Length , Symbol_Position_Length ) ;
										Looking_For_Symbol_Position = StrToInteger ( StringSubstr ( Object_Name , Looking_For_Object_Name_Length , StringLen ( Object_Name ) - Looking_For_Object_Name_Length ) ) ;

										//+--- Check Objects ---+

										if ( Looking_For_Symbol_Name == SymbolName ( Symbol_Position , True ) )
											{
												//+--- Case A ---+

												if ( Looking_For_Symbol_Position == Symbol_Position )
													{
														//+--- Case 1 ---+

														if ( SymbolName ( Symbol_Position , True ) != Symbol () )
															{
																//+--- Case 1.1 ---+

																if ( Count_Open_Orders == 0 )
																	{
																		//+--- Case 1.1.1 ---+

																		if ( Count_Pending_Orders == 0 )
																			{
																				//+--- Set Symbol Button ---+

																				ObjectSet ( Object_Name , OBJPROP_COLOR , Unselected_Text_Symbol_Button_Color ) ;
																				ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Unselected_Background_Symbol_Button_Color ) ;

																				ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Unselected_Border_Symbol_Button_Color ) ;

																				//+--- Delete Symbol Button Panel ---+

																				if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																					{
																						ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																					}
																			}

																		//+--- Case 1.1.2 ---+

																		if ( Count_Pending_Orders > 0 )
																			{
																				//+--- Set Symbol Button ---+

																				ObjectSet ( Object_Name , OBJPROP_COLOR , Unselected_Text_Symbol_Button_Color ) ;
																				ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Unselected_Background_Symbol_Button_Color ) ;

																				ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																				//+--- Get Symbol Button Variables ---+

																				Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																				Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																				Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																				//+--- Create Symbol Button Panel ---+

																				if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																					{
																						Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																					}

																				//+--- Set Symbol Button Panel ---+

																				if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																					{
																						ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																						ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																						ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																						ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																					}
																			}
																	}

																//+--- Case 1.2 ---+

																if ( Count_Open_Orders > 0 )
																	{
																		//+--- Case 1.2.1 ---+

																		if ( Count_Pending_Orders == 0 )
																			{
																				//+--- Case 1.2.1.1 ---+

																				if ( Profit_Open_Orders > 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Profit_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Profit_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Profit_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}

																				//+--- Case 1.2.1.2 ---+

																				if ( Profit_Open_Orders < 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Loss_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Loss_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Loss_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}

																				//+--- Case 1.2.1.3 ---+

																				if ( Profit_Open_Orders == 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Break_Even_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Break_Even_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Break_Even_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}
																			}

																		//+--- Case 1.2.2 ---+

																		if ( Count_Pending_Orders > 0 )
																			{
																				//+--- Case 1.2.2.1 ---+

																				if ( Profit_Open_Orders > 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Profit_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Profit_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}

																				//+--- Case 1.2.2.2 ---+

																				if ( Profit_Open_Orders < 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Loss_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Loss_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}

																				//+--- Case 1.2.2.3 ---+

																				if ( Profit_Open_Orders == 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Break_Even_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Break_Even_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}
																			}
																	}

															}

														//+--- Case 2 ---+

														if ( SymbolName ( Symbol_Position , True ) == Symbol () )
															{
																//+--- Case 2.1 ---+

																if ( Count_Open_Orders == 0 )
																	{
																		//+--- Case 2.1.1 ---+

																		if ( Count_Pending_Orders == 0 )
																			{
																				//+--- Set Symbol Button ---+

																				ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																				ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Selected_Background_Symbol_Button_Color ) ;

																				ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Selected_Border_Symbol_Button_Color ) ;

																				//+--- Delete Symbol Button Panel ---+

																				if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																					{
																						ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																					}
																			}

																		//+--- Case 2.1.2 ---+

																		if ( Count_Pending_Orders > 0 )
																			{
																				//+--- Set Symbol Button ---+

																				ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																				ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Selected_Background_Symbol_Button_Color ) ;

																				ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , clrAqua ) ;

																				//+--- Create Selected Symbol Button Panel ---+

																				if ( ObjectFind ( "Selected Symbol Button Panel" ) < 0 )
																					{
																						Create_Panel ( "Selected Symbol Button Panel" , Window_Number , Selected_Background_Symbol_Button_Color , Width_Symbol_Button + 4 , Height_Symbol_Button + 4 , Object_X_Distance + 2 , Object_Y_Distance - 2 , Object_Corner ) ;
																					}

																				//+--- Set Symbol Button Panel ---+

																				if ( ObjectFind ( "Selected Symbol Button Panel" ) >= 0 )
																					{
																						ObjectSetString ( ChartID () , "Selected Symbol Button Panel" , OBJPROP_TEXT , "Selected Symbol Button Panel") ;

																						ObjectSet ( "Selected Symbol Button Panel" , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																						ObjectSet ( "Selected Symbol Button Panel" , OBJPROP_WIDTH , 3 ) ;
																						ObjectSet ( "Selected Symbol Button Panel" , OBJPROP_COLOR , Selected_Border_Symbol_Button_Color ) ;
																					}
																			}
																	}

																//+--- Case 2.2 ---+

																if ( Count_Open_Orders > 0 )
																	{
																		//+--- Case 2.2.1 ---+

																		if ( Count_Pending_Orders == 0 )
																			{
																				//+--- Case 2.2.1.1 ---+

																				if ( Profit_Open_Orders > 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Profit_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Profit_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}

																				//+--- Case 2.2.1.2 ---+

																				if ( Profit_Open_Orders < 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Loss_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Loss_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}

																				//+--- Case 2.2.1.3 ---+

																				if ( Profit_Open_Orders == 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Break_Even_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Break_Even_Border_Symbol_Button_Color ) ;

																						//+--- Delete Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectDelete ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) ;
																							}
																					}
																			}

																		//+--- Case 2.2.1 ---+

																		if ( Count_Pending_Orders > 0 )
																			{
																				//+--- Case 2.2.1.1 ---+

																				if ( Profit_Open_Orders > 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Profit_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}

																				//+--- Case 2.2.1.2 ---+

																				if ( Profit_Open_Orders < 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Loss_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}

																				//+--- Case 2.2.1.3 ---+

																				if ( Profit_Open_Orders == 0 )
																					{
																						//+--- Set Symbol Button ---+

																						ObjectSet ( Object_Name , OBJPROP_COLOR , Selected_Text_Symbol_Button_Color ) ;
																						ObjectSet ( Object_Name , OBJPROP_BGCOLOR , Break_Even_Background_Symbol_Button_Color ) ;

																						ObjectSet ( Object_Name , OBJPROP_BORDER_COLOR , Pending_Border_Symbol_Button_Color ) ;

																						//+--- Get Symbol Button Variables ---+

																						Object_X_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_XDISTANCE ) ;
																						Object_Y_Distance = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_YDISTANCE ) ;

																						Object_Corner = ObjectGetInteger ( ChartID () , Object_Name , OBJPROP_CORNER ) ;

																						//+--- Create Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) < 0 )
																							{
																								Create_Panel ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , Window_Number , Pending_Border_Symbol_Button_Color , Width_Symbol_Button + 2 , Height_Symbol_Button + 2 , Object_X_Distance + 1 , Object_Y_Distance - 1 , Object_Corner ) ;
																							}

																						//+--- Set Symbol Button Panel ---+

																						if ( ObjectFind ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) ) >= 0 )
																							{
																								ObjectSetString ( ChartID () , "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_TEXT , SymbolName ( Symbol_Position , True ) ) ;

																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_WIDTH , 1 ) ;
																								ObjectSet ( "Symbol Button Panel: " + SymbolName ( Symbol_Position , True ) , OBJPROP_COLOR , Pending_Border_Symbol_Button_Color ) ;
																							}
																					}
																			}
																	}
															}
													}

												//+--- Case B ---+

												if ( Looking_For_Symbol_Position != Symbol_Position )
													{
														OnInit () ;
													}
											}
									}
							}
					}
			}
	}

//+--- Chart_Save_Template Function ---+

void Chart_Save_Template ( string Input_Template_Name )
	{
		ChartSaveTemplate ( ChartID () , "Symbol Changer - " + Input_Template_Name + Suffix ) ;
	}

//+--- Chart_Apply_Template Function ---+

void Chart_Apply_Template ( string Input_Template_Name )
	{
		ChartApplyTemplate ( ChartID () , "Symbol Changer - " + Input_Template_Name + ".tpl" ) ;
	}

//+--- Show_Symbol_Button Function ---+

void Show_Symbol_Button ( bool Input_Show_Hide_Symbol_Button )
	{
		//+--- Show_Hide_Symbol_Button == True ---+

		if ( Input_Show_Hide_Symbol_Button == True )
			{
				//+--- Find Objects ---+

				if ( ObjectFind ( ChartID () , "Show Symbol Button" ) < 0 )
					{
						//+--- Check Button Corner ---+

						switch ( Show_Symbol_Button_Corner )
							{
								//+--- Case 1 ---+

								case CORNER_LEFT_UPPER :
									{
										Create_Button ( "Show Symbol Button" , 0 , "Hide" , Show_Symbol_Button_Horizontal_Axis , Show_Symbol_Button_Vertical_Axis , CORNER_LEFT_UPPER ) ;

										ObjectSet ( "Show Symbol Button" , OBJPROP_COLOR , Text_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BGCOLOR , Background_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BORDER_COLOR , Border_Show_Button_Color ) ;

										//+--- Break ---+

										break ;
									}

								//+--- Case 2 ---+

								case CORNER_LEFT_LOWER :
									{
										Create_Button ( "Show Symbol Button" , 0 , "Hide" , Show_Symbol_Button_Horizontal_Axis , Show_Symbol_Button_Vertical_Axis + Height_Symbol_Button , CORNER_LEFT_LOWER ) ;

										ObjectSet ( "Show Symbol Button" , OBJPROP_COLOR , Text_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BGCOLOR , Background_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BORDER_COLOR , Border_Show_Button_Color ) ;

										//+--- Break ---+

										break ;
									}

								//+--- Case 3 ---+

								case CORNER_RIGHT_UPPER :
									{
										Create_Button ( "Show Symbol Button" , 0 , "Hide" , Show_Symbol_Button_Horizontal_Axis + Width_Symbol_Button , Show_Symbol_Button_Vertical_Axis , CORNER_RIGHT_UPPER ) ;

										ObjectSet ( "Show Symbol Button" , OBJPROP_COLOR , Text_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BGCOLOR , Background_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BORDER_COLOR , Border_Show_Button_Color ) ;

										//+--- Break ---+

										break ;
									}

								//+--- Case 4 ---+

								case CORNER_RIGHT_LOWER :
									{
										Create_Button ( "Show Symbol Button" , 0 , "Hide" , Show_Symbol_Button_Horizontal_Axis + Width_Symbol_Button , Show_Symbol_Button_Vertical_Axis + Height_Symbol_Button , CORNER_RIGHT_LOWER ) ;

										ObjectSet ( "Show Symbol Button" , OBJPROP_COLOR , Text_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BGCOLOR , Background_Show_Button_Color ) ;
										ObjectSet ( "Show Symbol Button" , OBJPROP_BORDER_COLOR , Border_Show_Button_Color ) ;

										//+--- Break ---+

										break ;
									}
							}
					}

				//+--- Find Objects ---+

				if ( ObjectFind ( ChartID () , "Show Symbol Button" ) >= 0 )
					{
						if ( Count_Symbol_Buttons () > 0 && ObjectGetString ( ChartID () , "Show Symbol Button" , OBJPROP_TEXT ) == "Show" )
							{
								Delete_All_Symbol_Buttons () ;
							}
					}
			}

		//+--- Show_Hide_Symbol_Button == True ---+

		if ( Input_Show_Hide_Symbol_Button == False )
			{
				if ( ObjectFind ( ChartID () , "Show Symbol Button" ) >= 0 )
					{
						ObjectDelete ( "Show Symbol Button" ) ;
					}
			}
	}

//+--- Show_Current_Symbol Function ---+

void Show_Current_Symbol ( bool Input_Show_Current_Symbol_Enable )
	{
		//+--- Input_Show_Current_Symbol_Enable == True ---+

		if ( Input_Show_Current_Symbol_Enable == True )
			{
				//+--- Create Current Symbol Panel ---+

				Create_Panel ( "Symbol Changer - Current Symbol Panel" , 0 , Symbol_Panel_Panel_Color , 160 , 42 , Show_Current_Symbol_Panel_Horizontal_Axis , Show_Current_Symbol_Panel_Vertical_Axis , Show_Current_Symbol_Corner ) ;

				ObjectSetString ( ChartID () , "Symbol Changer - Current Symbol Panel" , OBJPROP_TEXT , "Symbol Changer - Current Symbol Panel" ) ;
				ObjectSet ( "Symbol Changer - Current Symbol Panel" , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
				ObjectSet ( "Symbol Changer - Current Symbol Panel" , OBJPROP_WIDTH , 3 ) ;

				//+--- Calculate Symbol Name ---+

				Symbol_Name = StringSubstr ( Symbol () , 0 , StringLen ( Symbol () ) - ( StringLen ( Symbol () ) - StringFind ( Symbol () , "." , 0 ) ) ) ;

				//+--- Show Current Function ---+

				Create_Label ( "Current Symbol" , 0 , Show_Text_Current_Symbol_Horizontal_Axis , Show_Text_Current_Symbol_Vertical_Axis , Show_Current_Symbol_Corner ) ;
				ObjectSetText ( "Current Symbol" , Symbol_Name , Text_Current_Symbol_Font_Size , Text_Font_Bold , Text_Current_Symbol_Color ) ;

				ObjectSetInteger ( ChartID () , "Current Symbol" , OBJPROP_ANCHOR , ANCHOR_UPPER ) ;
			}

		//+--- Input_Show_Current_Symbol_Enable == False ---+

		if ( Input_Show_Current_Symbol_Enable == False )
			{
				//+--- Delete Object ---+

				ObjectDelete ( "Market Information - Current Symbol Panel" ) ;
				ObjectDelete ( "Current Symbol" ) ;
			}
	}

//+--- Count_Symbol_Buttons Function ---+

int Count_Symbol_Buttons ()
	{
		//+--- Declare Variables ---+

		Symbol_Buttons_Total = 0 ;

		//+--- Calculate Variables ---+

		Looking_For = "Symbol Button: " ;
		Looking_For_Length = StringLen ( Looking_For ) ;

		//+--- Count Symbol Buttons ---+

		for ( Count = ObjectsTotal () - 1 ; Count >= 0 ; Count -- )
			{
				//+--- Declare Variables ---+

				Object_Name = ObjectName ( Count ) ;

				//+--- Count Symbol Buttons ---+

				if ( StringSubstr ( Object_Name , 0 , Looking_For_Length ) == Looking_For && ObjectGet ( Object_Name , OBJPROP_TYPE ) == OBJ_BUTTON )
					{
						Symbol_Buttons_Total ++ ;
					}
			}

		//+--- Return ---+

		return ( Symbol_Buttons_Total ) ;
	}

//+--- Delete_All_Symbol_Buttons Function ---+

void Delete_All_Symbol_Buttons ()
	{
		//+--- Calculate Variables ---+

		Looking_For = "Symbol Button: " ;
		Looking_For_Length = StringLen ( Looking_For ) ;

		//+--- Delete All Symbol Buttons ---+

		for ( Count = ObjectsTotal () - 1 ; Count >= 0 ; Count -- )
			{
				//+--- Declare Variables ---+

				Object_Name = ObjectName ( Count ) ;

				//+--- Delete Symbol Buttons ---+

				if ( StringSubstr ( Object_Name , 0 , Looking_For_Length ) == Looking_For && ObjectGet ( Object_Name , OBJPROP_TYPE ) == OBJ_BUTTON )
					{
						ObjectDelete ( Object_Name ) ;
					}
			}
	}

//+--- Delete_All_Symbol_Buttons Function ---+

void Delete_All_Symbol_Buttons_Panel ()
	{
		//+--- Calculate Variables ---+

		Looking_For = "Symbol Button Panel: " ;
		Looking_For_Length = StringLen ( Looking_For ) ;

		//+--- Delete All Symbol Buttons ---+

		for ( Count = ObjectsTotal () - 1 ; Count >= 0 ; Count -- )
			{
				//+--- Declare Variables ---+

				Object_Name = ObjectName ( Count ) ;

				//+--- Delete Symbol Buttons ---+

				if ( StringSubstr ( Object_Name , 0 , Looking_For_Length ) == Looking_For && ObjectGet ( Object_Name , OBJPROP_TYPE ) == OBJ_RECTANGLE_LABEL )
					{
						ObjectDelete ( Object_Name ) ;
					}
			}
	}

//+--- Create_Button Function ---+

void Create_Button ( string Input_Object_Name , int Input_Window_Number , string Input_Caption , int Input_X_Axis_Position , int Input_Y_Axis_Position , int Input_Corner )
	{
		if ( ObjectFind ( Input_Object_Name ) != 0 )
			{
				//+--- Create Button ---+

				ObjectCreate ( Input_Object_Name , OBJ_BUTTON , Input_Window_Number , 0 , 0 ) ;

				//+--- Set Button's Parameter ---+

				ObjectSet ( Input_Object_Name , OBJPROP_CORNER , Input_Corner ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_XDISTANCE , Input_X_Axis_Position ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_YDISTANCE , Input_Y_Axis_Position ) ;

				//+--- Set Button's Parameter ---+

				ObjectSet ( Input_Object_Name, OBJPROP_XSIZE , Width_Symbol_Button ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_YSIZE , Height_Symbol_Button ) ;

				//+--- Set Button's Parameter ---+

				ObjectSetText ( Input_Object_Name , Input_Caption , Font_Size , Font , Unselected_Text_Symbol_Button_Color ) ;

				ObjectSetString ( ChartID () , Input_Object_Name , OBJPROP_FONT , Font ) ;
				ObjectSetInteger ( ChartID () , Input_Object_Name , OBJPROP_FONTSIZE , Font_Size ) ;

				//+--- Set Button's Parameter ---+

				ObjectSet ( Input_Object_Name , OBJPROP_COLOR , Unselected_Text_Symbol_Button_Color ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_BGCOLOR , Unselected_Background_Symbol_Button_Color ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_BORDER_COLOR , Unselected_Border_Symbol_Button_Color ) ;

				//+--- Set Button's Parameter ---+

				ObjectSet ( Input_Object_Name , OBJPROP_STATE , False ) ;
				ObjectSet ( Input_Object_Name , OBJPROP_HIDDEN , True ) ;
			}
	}

//+--- Create_Label Function ---+

void Create_Label ( string Input_Object_Name , int Input_Window_Number , int Input_Axis_X , int Input_Axis_Y , int Input_Coner )
	{
		//+--- Draw Label ---+

		ObjectCreate ( Input_Object_Name , OBJ_LABEL , Input_Window_Number , 0 , 0 ) ;

		//+--- Set Label's Parameter ---+

		ObjectSet ( Input_Object_Name , OBJPROP_CORNER , Input_Coner ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_XDISTANCE , Input_Axis_X ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_YDISTANCE , Input_Axis_Y ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_SELECTABLE , Object_Selectable ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_BACK , Object_Background ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_HIDDEN , True ) ;
	}

//+--- Create Panel Function ---+

void Create_Panel ( string Input_Object_Name , int Input_Window_Number , color Input_Color , int Input_Width , int Input_Height , int Input_Axis_X , int Input_Axis_Y , int Input_Coner )
	{
		//+--- Create Panel ---+

		ObjectCreate ( Input_Object_Name , OBJ_RECTANGLE_LABEL , Input_Window_Number , 0 , 0 ) ;

		//+--- Set Panel's Parameter ---+

		ObjectSetInteger ( ChartID () , Input_Object_Name , OBJPROP_XSIZE , Input_Width ) ;
		ObjectSetInteger ( ChartID () , Input_Object_Name , OBJPROP_YSIZE , Input_Height ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_CORNER , Input_Coner ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_XDISTANCE , Input_Axis_X ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_YDISTANCE , Input_Axis_Y ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_BGCOLOR , Input_Color ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_BORDER_TYPE , BORDER_FLAT ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_STYLE , 0 ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_WIDTH , 0 ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_SELECTABLE , Object_Selectable ) ;
		ObjectSet ( Input_Object_Name , OBJPROP_BACK , Object_Background ) ;

		ObjectSet ( Input_Object_Name , OBJPROP_HIDDEN , True ) ;
	}

//+--- End ---+